Commit ec0f683e authored by fedora Cloud User's avatar fedora Cloud User
Browse files

include vars for distribution

parent effd9bce
Pipeline #101140 failed with stage
in 1 minute and 13 seconds
......@@ -4,6 +4,9 @@
fail: msg="Operating System {{ ansible_distribution }}-{{ ansible_distribution_version }} not supported, use centos|redhat 8 "
when: (ansible_distribution|lower != 'centos' and ansible_distribution|lower !='redhat' and ansible_distribution|lower != 'rocky' and ansible_distribution|lower != 'alma') or ansible_distribution_major_version != '8'
- name: "include specific vars for EL8 versions"
include_vars: "vars/{{ ansible_distribution | lower }}.yml"
- name: "import volume.yml"
import_tasks: volume.yml
when: "volumes | length > 0 and nrec_instance | bool"
......@@ -21,7 +24,7 @@
- name: Set authorized key from url
authorized_key:
user: centos
user: "{{ el8_user }}"
state: present
key: "{{ item }}"
with_items: "{{ ssh_public_keys }}"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment